# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_MethodDefinitionsDictionary Class Reference

This class groups in a dictionary of all the
various definitions of methods. It also allows the
share of the same definition by more than one
MethodInstance to preserve a global coherence and
also to manage the memory. To use this class an
inheritance is necessary with perhaps the overload
of the Switch method if the parameter types are
not of the type BooleanParameter,
IntegerParameter, RealParameter and
StringParameter.
.

`#include <Dynamic_MethodDefinitionsDictionary.hxx>`

Inheritance diagram for Dynamic_MethodDefinitionsDictionary:

[legend]

## Public Member Functions

Standard_EXPORT void | Creates (const Standard_CString afilename)
| Starting with a file named <afilename>, fills the dictionary with all the wishes definitions. .
Standard_EXPORT Standard_Boolean | Definition (const Handle(Dynamic_Method)&adefinition)
| This method sets the new definition <adefinition> in the dictionary. It returns true if the operation is successful, false otherwise. .
Standard_EXPORT Handle_Dynamic_Parameter | Switch (const Standard_CString aname, const Standard_CString atype, const Standard_CString avalue) const
| This virtual method allows the user to add recognition of its own parameters when reading the file to fill the dictionary. .
Standard_EXPORT Standard_Boolean | Definition (const Standard_CString atype, Handle(Dynamic_Method)&adefinition) const
| Returns from the dictionary in the out variable <adefinition> a reference to the right instance of the definition identified by its type <atype>. The method returns true if the definition exist, false otherwise. .
Standard_EXPORT Standard_Boolean | UpToDate () const
| Returns true if there has been no modification of the file method-definitions.dat since the creation of the dictionary object, false otherwise. .
Standard_EXPORT Standard_Integer | NumberOfDefinitions () const
| Returns the number of definitions stored in the dictionary. .
Standard_EXPORT Handle_Dynamic_Method | Definition (const Standard_Integer anindex) const
| Returns a reference on the definition identified by the index <anidex>. .
Standard_EXPORT void | Dump (Standard_OStream &astream) const
| Useful for debugging. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Dynamic_MethodDefinitionsDictionary ()
| Deferred constructor of the class. .

## Private Attributes

Handle_TCollection_HAsciiString | thefilename
Standard_Integer | thetime
Handle_Dynamic_SequenceOfMethodDefinitions | thesequenceofmethoddefinitions

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_MethodDefinitionsDictionary::Dynamic_MethodDefinitionsDictionary | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void Dynamic_MethodDefinitionsDictionary::Creates | ( | const Standard_CString | afilename | ) |

Standard_EXPORT Handle_Dynamic_Method Dynamic_MethodDefinitionsDictionary::Definition | ( | const Standard_Integer | anindex | ) | const

Standard_EXPORT Standard_Boolean Dynamic_MethodDefinitionsDictionary::Definition | ( | const Standard_CString | atype,
|  | Handle(Dynamic_Method)& | adefinition
| ) | const

Standard_EXPORT Standard_Boolean Dynamic_MethodDefinitionsDictionary::Definition | ( | const Handle(Dynamic_Method)& | adefinition | ) |

Standard_EXPORT void Dynamic_MethodDefinitionsDictionary::Dump | ( | Standard_OStream & | astream | ) | const

Standard_EXPORT const Dynamic_MethodDefinitionsDictionary::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Integer Dynamic_MethodDefinitionsDictionary::NumberOfDefinitions | ( |  | ) | const

Standard_EXPORT Handle_Dynamic_Parameter Dynamic_MethodDefinitionsDictionary::Switch | ( | const Standard_CString | aname,
|  | const Standard_CString | atype,
|  | const Standard_CString | avalue
| ) | const

Standard_EXPORT Standard_Boolean Dynamic_MethodDefinitionsDictionary::UpToDate | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString Dynamic_MethodDefinitionsDictionary::thefilename `[private]`

Handle_Dynamic_SequenceOfMethodDefinitions Dynamic_MethodDefinitionsDictionary::thesequenceofmethoddefinitions `[private]`

Standard_Integer Dynamic_MethodDefinitionsDictionary::thetime `[private]`

The documentation for this class was generated from the following file:

- Dynamic_MethodDefinitionsDictionary.hxx